//
// Created by kyle on 10/14/23.
//

#ifndef KGE_FRAME_H
#define KGE_FRAME_H


#include <filesystem>
#include <string>
#include <vector>
#include <map>

#include "Buffer.h"


class Frame {
public:
	Frame();

	void Add();
	void Add(std::string name);
	void Add(std::filesystem::path path);

	/// Refresh will attempt to load the active buffer.
	Buffer::FileStatus Refresh();

	/// Flush will attempt to write the active buffer.
	bool Flush();

private:
	std::map<std::string, Buffer *>	bmap;
	std::string			activeBuffer;
};


#endif //KGE_FRAME_H
